Mailinglist Archive: opensuse-buildservice (287 mails)

< Previous Next >
[opensuse-buildservice] Re: Problems with libqt4 package
  • From: Michael Schroeder <mls@xxxxxxx>
  • Date: Tue, 4 Sep 2007 13:01:28 +0200
  • Message-id: <20070904110128.GC20111@xxxxxxx>
On Tue, Sep 04, 2007 at 12:44:13PM +0200, Philipp Thomas wrote:
> * Michael Schroeder (mls@xxxxxxx) [20070904 12:08]:
> 
> > On Tue, Sep 04, 2007 at 12:01:23PM +0200, Philipp Thomas wrote:
> > > Next I tried linking to it and putting 
> > > 
> > > Provides:         libqt4
> > > 
> > > into libqt4.spec (shouldn't the package provide this by default?). Now I get
> 
>  
> > Argh, don't do that! KDE:Qt contains libqt4, you probably messed
> > up something else. How did you "pull in" libqt4 in your first try?
> 
> using an _aggregate:
> 
> <aggregatelist>
>   <aggregate project="KDE:Qt">
>     <package>libqt4</package>
>   </aggregate>
> </aggregatelist>

Looks good to me, I can't say what went wrong when you tried it.
Maybe you should switch back to the aggregate.

> > You should just put your repository "on top of" KDE:Qt.
> 
> Which means?

If you create a repository there's an "[Advanced]" link where you
can select a repository from any other project. But it should also
work with the aggragate.

M.


---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups